"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRcbConfig = void 0;
var webpack_merge_1 = require("webpack-merge");
var utils_1 = __importDefault(require("./utils"));
var paths_1 = __importDefault(require("./paths"));
function getWebpackConfig() {
    var path = '';
    if (utils_1.default.isDev()) {
        path = paths_1.default.getResolvePath('webpack.config.dev.js');
    }
    if (utils_1.default.isProduction()) {
        path = paths_1.default.getResolvePath('webpack.config.prod.js');
    }
    path = paths_1.default.getResolvePath('webpack.config.js');
    try {
        return utils_1.default.requireModule(path);
    }
    catch (e) {
        return {};
    }
}
function getRcbConfig() {
    try {
        return utils_1.default.requireModule(paths_1.default.getResolvePath('rcb.config.js'));
    }
    catch (e) {
        return {};
    }
}
exports.getRcbConfig = getRcbConfig;
function getBabelConfig() {
    // TODO
    return {};
}
function getExtraConfig() {
    var rcb = getRcbConfig();
    return {
        webpack: webpack_merge_1.merge(getWebpackConfig(), {
            resolve: {
                alias: rcb.alias
            }
        }),
        babel: getBabelConfig(),
        rcb: rcb
    };
}
exports.default = getExtraConfig;
;
